<!DOCTYPE html>
<html>

<head>
    <title> Task 35.10</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <h2 class="text-center p2">DANH SÁCH NGƯỜI DÙNG </h2>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row form-group">
                <div class="col-sm-12 text-nowrap">
                    <table class="table table-bordered table-striped table-hover" id="table-users">
                        <thead class="text-white thead-dark">
                            <tr class="text-center">
                                <th scope="col">STT</th>
                                <th scope="col">Name</th>
                                <th scope="col">Username</th>
                                <th scope="col">Email</th>
                                <th scope="col">Address</th>
                                <th scope="col">Zip code</th>
                                <th scope="col">Phone</th>
                                <th scope="col">Company</th>
                                <th scope="col">Action</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</body>

<script>
    "use strict";
    $(document).ready(function(){
        onPageLoading();
    });
  

    function onPageLoading() {
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/users",
            type: "GET",
            dataType: "json",
            success: function (paramRes) {
                console.log(paramRes);

                showAllDataUser(paramRes);

            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            },
        });
    }

    function showAllDataUser(paramArray) {
        for (var bI = 0; bI < paramArray.length; bI++) {
            var bRow = "";
            bRow += "<tr>";
            bRow += "<td>" + paramArray[bI].id + "</td>";
            bRow += "<td>" + paramArray[bI].name + "</td>";
            bRow += "<td>" + paramArray[bI].username + "</td>";
            bRow += "<td>" + paramArray[bI].email + "</td>";
            bRow += "<td>" + paramArray[bI].address.suite + "," + paramArray[bI].address.street + "," + paramArray[bI].address.city + "</td>";
            bRow += "<td>" + paramArray[bI].address.zipcode + "</td>";
            bRow += "<td>" + paramArray[bI].phone + "</td>";
            bRow += "<td>" + paramArray[bI].company.name + "</td>";
            bRow += "<td>" + "<button class = 'btn btn-success btn-detail 'data-id='" + paramArray[bI].id + " '> Chi tiết </button>" + "</td>";
            bRow += "</tr>"
            $("#table-users tbody").append(bRow);
        }
    }

    $(document).on("click", ".btn-detail", function () {
        console.log("Nút Chi tiết được ấn");
        console.log("ID: " + $(this).data("id"));

        const vDETAIL_FORM_URL = "userDetail.html";
        var vUrlSiteOpen = vDETAIL_FORM_URL + "?i" + $(this).data("id");
        window.location.href = vUrlSiteOpen;
        });
</script>

</html>